{*
* 2007-2016 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2020-2021 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<div class="row">
    <div class="col-md-4 left-column">
        <div class="card d-print-none">
            <div class="card-header">
                <div class="row">
                    <div class="col-md-6">
                        <h3 class="card-header-title">
                            <img src="{$base_url|escape:'htmlall':'UTF-8'}modules/{'rapidexpress'|escape:'htmlall':'UTF-8'}/logo.gif" alt="" /> 
                            {l s='Destino' mod='rapidexpress'}
                        </h3>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <div class="col-12">                    
                    <form method="post" action="{$smarty.server.REQUEST_URI|escape:'htmlall':'UTF-8'}#rapid_show_message">
                        <div class="row">
                            <div id="message" class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-lg-10">{l s='Ref.' mod='rapidexpress'}</label>
                                    <div class="col-lg-12">
                                        <input type="text" name="rapid_dest_reference" id="form_hooks_reference" class="col-sm-12 form-control" value="{$RAPIDEXPRESS_REFERENCE}" readonly>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-lg-10">{l s='Contact Info' mod='rapidexpress'}</label>
                                    <div class="col-lg-12">
                                        <input type="text" name="rapid_dest_contact" class="col-sm-12 form-control" value="{$RAPIDEXPRESS_DEST_CONTACT_INFO}" readonly>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-lg-10">{l s='Address' mod='rapidexpress'}</label>
                                    <div class="col-lg-12">
                                        <input type="text" name="rapid_dest_address" class="col-sm-12 form-control" value="{$RAPIDEXPRESS_DEST_ADDRESS}" readonly>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-lg-10">{l s='City' mod='rapidexpress'}</label>
                                    <div class="col-lg-12">
                                        <input type="text" name="rapid_dest_city" class="col-sm-12 form-control" value="{$RAPIDEXPRESS_DEST_CITY}" readonly>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-lg-6">{l s='Phone' mod='rapidexpress'}</label>
                                    <div class="col-lg-6">
                                        <input type="text" name="rapid_dest_phone" class="col-sm-12 form-control" value="{$RAPIDEXPRESS_DEST_PHONE}" readonly>
                                    </div>                                    
                                </div>  
                                <div class="form-group">
                                    <label class="control-label col-lg-6">{l s='Postal Code' mod='rapidexpress'}</label>
                                    <div class="col-lg-6">
                                        <input type="text" name="rapid_dest_cp" class="col-sm-12 form-control" value="{$RAPIDEXPRESS_DEST_CP}" readonly>
                                    </div>                                                             
                                </div>   
                                <div class="col-lg-12"> 
                                    <a class="btn btn-outline-secondary btn-sm" target="_blank" href="https://portal.rapidexpress.es/codigos-internacional">
                                        <i class="material-icons">public</i>
                                        Consulta CP Internacional                                        
                                    </a>
                                    <a class="btn btn-outline-secondary btn-sm" target="_blank" href="https://portal.rapidexpress.es/codigos">
                                        <i class="material-icons">flag</i>
                                        Consulta CP Nacional                                        
                                    </a>  
                                </div>                               
                                <hr>
                                <div class="form-group">
                                    <label class="control-label col-lg-10">{l s='Comments' mod='rapidexpress'}</label>
                                    <div class="col-lg-12">
                                        <input type="text" name="rapid_dest_comment" class="col-sm-12 form-control" value="{$RAPIDEXPRESS_ORDER_COMMENTS}" {if (!$showLabelButton)}readonly{/if}>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-lg-10">{l s='Packages' mod='rapidexpress'}</label>
                                    <div class="col-lg-12">
                                        <input type="text" value="1" id="packages" class="col-sm-12 form-control" name="packages" {if (!$showLabelButton)}readonly{/if}>
                                    </div>
                                    {**<label class="control-label col-lg-2">{l s='Cash on delivery' mod='rapidexpress'}</label>
                                    <div class="col-lg-12">
                                        <input type="text" name="rapid_dest_reembolso" class="col-sm-12 form-control" value="{convertPrice price=$RAPIDEXPRESS_DEST_COD}" readonly>
                                    </div>**}
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-lg-10">{l s='Service' mod='rapidexpress'}</label>
                                    <div class="col-lg-12">
                                        <select name="rapid_service" id="rapid_service" class="custom-select" {if ($showLabelButton)} required{/if}>
                                            {$RAPIDEXPRESS_SERV}
                                        </select>
                                    </div>
                                </div>
                                {if (!$showLabelButton)}
                                    <div class="form-group">
                                        <label class="control-label col-lg-10">{l s='Albaran' mod='rapidexpress'}</label>
                                        <div class="col-lg-12">
                                            <input type="text" name="rapid_dest_comment" class="col-sm-12 form-control" value="{$RAPIDEXPRESS_ALBARAN}" readonly>
                                        </div>
                                    </div>
                                {/if}

                                {if ($errorMessage != "")}
                                    <div class="alert alert-danger" id="js-cart-error-block">
                                        <div class="alert-text">{$errorMessage}.</div>
                                    </div>
                                {/if}

                                <input type="hidden" id="rapid_dest_country" name="rapid_dest_country" value="{$RAPIDEXPRESS_DEST_COUNTRY}">
                                <input type="hidden" id="rapid_dest_email" name="rapid_dest_email" value="{$RAPIDEXPRESS_DEST_EMAIL}">
                                <input type="hidden" id="RAPIDEXPRESS_ID_ENVIO" name="RAPIDEXPRESS_ID_ENVIO" value="{$RAPIDEXPRESS_ID_ENVIO}">
                                <div class="col-lg-12">
                                    {if ($showLabelButton)}
                                        <button type="submit" id="generateSendrapid_envios" class="btn btn-primary float-right" name="generateSendrapid_envios" onclick="this.setAttribute('style','display:none');if (!confirm('{l s='Are you sure?' mod='rapidexpress'}')) this.setAttribute('style','display:always');">
                                            <i class="material-icons">send</i>
                                            {l s='Generate Send' mod='rapidexpress'}                                            
                                        </button>
                                    {else}
                                        <a class="btn btn-primary float-right"  target="_blank" href="{$linkLabel}">
                                            <i class="material-icons">picture_as_pdf</i>
                                            {l s='Descargar' mod='rapidexpress'}                                        
                                        </a>

                                        {**<button type="submit" id="submitUpdateStatusrapid_envios" class="btn btn-primary pull-right" name="updateStatusrapid_envios" onclick="if (!confirm('{l s='Are you sure?' mod='rapidexpress'}')) return false;">
                                            {l s='Update Status' mod='rapidexpress'}
                                        </button>*}
                                    {/if}
                                </div>
                            </div>                    
                        </div>    
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
